/**
 * Utility for reading a little endian number from a file
 * (c) 2012 Peter Lekensteyn <lekensteyn@gmail.com>
 * License: GPLv3+
 */
#include <stdio.h>
#include <unistd.h>
#include <endian.h>
#include <stdint.h>
#include <errno.h>
#include <stdlib.h>

int main(int argc, char **argv) {
	FILE *fp;
	long offset;
	if (argc != 3) {
		fprintf(stderr, "Usage: %s file offset\n", *argv);
		return 1;
	}
	offset = atol(argv[2]);
	fp = fopen(argv[1], "r");
	if (!fp) {
		perror("fopen");
		return 1;
	}
	if (offset && fseek(fp, offset, SEEK_SET)) {
		perror("fseek");
		return 1;
	}
	uint32_t bytes;
	int rb = fread(&bytes, 4, 1, fp);
	if (rb != 1) {
		perror("fread");
		return 1;
	}
	printf("%u\n", le32toh(bytes));
	fclose(fp);
	return 0;
}
